# Deprecated API

## Contents

- Classes
- Methods

- Classes
  Class | Description
  --- | ---
  org.eclipse.net4j.ui.FactoryTypeContentProvider | As of 4.1 use `FactoryTypeContentProvider`
  org.eclipse.spi.net4j.Channel.ReceiverWork | As of 4.10 scheduled for future removal.
  org.eclipse.spi.net4j.Channel.ReceiveSerializer | As of 4.4 scheduled for future removal.

- Methods
  Method | Description
  --- | ---
  org.eclipse.net4j.signal.IndicationWithMonitoring.getMonitoringExecutorService() | As of 4.13 not used anymore.
  org.eclipse.spi.net4j.Channel.createReceiverWork​(IBuffer) | As of 4.10 scheduled for future removal.
  org.eclipse.spi.net4j.Channel.getReceiveExecutor() |
  org.eclipse.spi.net4j.Channel.setReceiveExecutor​(ExecutorService) |
  org.eclipse.spi.net4j.ChannelMultiplexer.inverseOpenChannel​(short, String) | Use `ChannelMultiplexer.inverseOpenChannel(short, String, int)`.
  org.eclipse.spi.net4j.InternalChannel.getReceiveExecutor() | As of 4.8 no longer supported.
  org.eclipse.spi.net4j.InternalChannel.setReceiveExecutor​(ExecutorService) | As of 4.8 no longer supported.